<?php 

namespace Teknisa\MAN\Factories\OMClient;

interface IClientRepo {
    /**
     * returns the token to auth in the OM API.
     */
    public function getRequestToken();
    
    /**
     * $nrorg -> Respective organization number.
     * 
     * returns an array containing the Organization Data.
     */
    public function getOrganizationByNRORG($nrorg);
    
}